Book

Updates the background image of a book.

This method validates the provided bookId and the image URL in the payload. If the validation fails, a Microsoft.AspNetCore.Mvc.BadRequestResult is returned. If the update operation fails, a 500 Internal Server Error is returned.

PUT
/public-api/v1/Book/{bookId}/BackgroundImage
cURL
curl --request PUT \
  --url '/public-api/v1/Book/{bookId}/BackgroundImage' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "ImageUrl": "string"
}'

Autorizaciones

  • user-api-keystringheader

    User's API Key · apiKey

Parámetros de ruta

  • bookIdstringobligatorio

    The unique identifier of the book.

Cuerpo

application/json

The payload containing the new background image URL.

  • ImageUrlstringobligatorio

Respuestas

OK